package com.liquidnet.service.goblin.dto;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * 购买藏品、开启盲盒后，生成藏品队列消息体
 *
 * @author zhanggb
 * Created by IntelliJ IDEA at 2022/3/31
 */
@Data
public class GoblinQueueBizArtworkGenDto implements Serializable, Cloneable {
    private static final long serialVersionUID = 8267639695935038399L;
    private String uid;
    private String skuId;
    private String orderId;
    private Integer source;
    private String fromArtId;

    private static final GoblinQueueBizArtworkGenDto obj = new GoblinQueueBizArtworkGenDto();

    public static GoblinQueueBizArtworkGenDto getNew() {
        try {
            return (GoblinQueueBizArtworkGenDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GoblinQueueBizArtworkGenDto();
        }
    }

    public String toJson() {
        return JsonUtils.toJson(this);
    }
}
